Loading...
Searching...
No Matches
AVDOVIReshapingCurve Struct Reference

`#include <libavutil/dovi_meta.h>`

## Data Fields

uint8_t | num_pivots
uint16_t | pivots [AV_DOVI_MAX_PIECES+1]
enum AVDOVIMappingMethod | mapping_idc [AV_DOVI_MAX_PIECES]
uint8_t | poly_order [AV_DOVI_MAX_PIECES]
int64_t | poly_coef [AV_DOVI_MAX_PIECES][3]
uint8_t | mmr_order [AV_DOVI_MAX_PIECES]
int64_t | mmr_constant [AV_DOVI_MAX_PIECES]
int64_t | mmr_coef [AV_DOVI_MAX_PIECES][3][7]

## Detailed Description

Definition at line 117 of file dovi_meta.h.

## Field Documentation

## num_pivots

uint8_t AVDOVIReshapingCurve::num_pivots

Definition at line 118 of file dovi_meta.h.

## pivots

uint16_t AVDOVIReshapingCurve::pivots[AV_DOVI_MAX_PIECES+1]

Definition at line 119 of file dovi_meta.h.

## mapping_idc

enum AVDOVIMappingMethod AVDOVIReshapingCurve::mapping_idc[AV_DOVI_MAX_PIECES]

Definition at line 120 of file dovi_meta.h.

## poly_order

uint8_t AVDOVIReshapingCurve::poly_order[AV_DOVI_MAX_PIECES]

Definition at line 122 of file dovi_meta.h.

## poly_coef

int64_t AVDOVIReshapingCurve::poly_coef[AV_DOVI_MAX_PIECES][3]

Definition at line 123 of file dovi_meta.h.

## mmr_order

uint8_t AVDOVIReshapingCurve::mmr_order[AV_DOVI_MAX_PIECES]

Definition at line 125 of file dovi_meta.h.

## mmr_constant

int64_t AVDOVIReshapingCurve::mmr_constant[AV_DOVI_MAX_PIECES]

Definition at line 126 of file dovi_meta.h.

## mmr_coef

int64_t AVDOVIReshapingCurve::mmr_coef[AV_DOVI_MAX_PIECES][3][7]

Definition at line 127 of file dovi_meta.h.

The documentation for this struct was generated from the following file:

- libavutil/dovi_meta.h